<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__data__length__param__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_data_length_param_t</compoundname>
    <includes local="no">cy_ble_stack_host_main.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__data__length__param__t_1a3dd1ac88ac59f2883d9a3cda011a39ad" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_data_length_param_t::suggestedTxOctets</definition>
        <argsstring />
        <name>suggestedTxOctets</name>
        <briefdescription>
<para>Controller's maximum transmitted number of payload octets to be used for new connections. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="687" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="687" />
      </memberdef>
      <memberdef id="structcy__stc__ble__data__length__param__t_1a348f7d53cb36d1877ed0dce531f2a009" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_data_length_param_t::suggestedTxTime</definition>
        <argsstring />
        <name>suggestedTxTime</name>
        <briefdescription>
<para>Controller's maximum packet transmission time, in microseconds, to be used for new connections. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="692" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="692" />
      </memberdef>
      <memberdef id="structcy__stc__ble__data__length__param__t_1a0e9a95614df027cb6b9842cc2457d9cc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_data_length_param_t::maxTxOctets</definition>
        <argsstring />
        <name>maxTxOctets</name>
        <briefdescription>
<para>Maximum number of payload octets that the local Controller supports for transmission of a single Link Layer Data Channel PDU. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="697" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="697" />
      </memberdef>
      <memberdef id="structcy__stc__ble__data__length__param__t_1ac5958c2da55cefe22ca738c9f640c9e4" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_data_length_param_t::maxTxTime</definition>
        <argsstring />
        <name>maxTxTime</name>
        <briefdescription>
<para>Maximum time, in microseconds, that the local Controller supports for transmission of a single Link Layer Data Channel PDU. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="702" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="702" />
      </memberdef>
      <memberdef id="structcy__stc__ble__data__length__param__t_1ae73e5507d16c43d5fd91d5608e3dc445" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_data_length_param_t::maxRxOctets</definition>
        <argsstring />
        <name>maxRxOctets</name>
        <briefdescription>
<para>Maximum number of payload octets that the local Controller supports for reception of a single Link Layer Data Channel PDU. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="707" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="707" />
      </memberdef>
      <memberdef id="structcy__stc__ble__data__length__param__t_1ab5d0b2e8f608f252a911c7e0d80bbf34" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_data_length_param_t::maxRxTime</definition>
        <argsstring />
        <name>maxRxTime</name>
        <briefdescription>
<para>Maximum time, in microseconds, that the local Controller supports for reception of a single Link Layer Data Channel PDU. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="712" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="712" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Local suggested or Max 'tx octets' and 'tx time'. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="714" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="682" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="683" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__data__length__param__t_1ae73e5507d16c43d5fd91d5608e3dc445" virt="non-virtual"><scope>cy_stc_ble_data_length_param_t</scope><name>maxRxOctets</name></member>
      <member prot="public" refid="structcy__stc__ble__data__length__param__t_1ab5d0b2e8f608f252a911c7e0d80bbf34" virt="non-virtual"><scope>cy_stc_ble_data_length_param_t</scope><name>maxRxTime</name></member>
      <member prot="public" refid="structcy__stc__ble__data__length__param__t_1a0e9a95614df027cb6b9842cc2457d9cc" virt="non-virtual"><scope>cy_stc_ble_data_length_param_t</scope><name>maxTxOctets</name></member>
      <member prot="public" refid="structcy__stc__ble__data__length__param__t_1ac5958c2da55cefe22ca738c9f640c9e4" virt="non-virtual"><scope>cy_stc_ble_data_length_param_t</scope><name>maxTxTime</name></member>
      <member prot="public" refid="structcy__stc__ble__data__length__param__t_1a3dd1ac88ac59f2883d9a3cda011a39ad" virt="non-virtual"><scope>cy_stc_ble_data_length_param_t</scope><name>suggestedTxOctets</name></member>
      <member prot="public" refid="structcy__stc__ble__data__length__param__t_1a348f7d53cb36d1877ed0dce531f2a009" virt="non-virtual"><scope>cy_stc_ble_data_length_param_t</scope><name>suggestedTxTime</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>